#!/bin/sh
echo "# If they're not root, but their user exists (success),"
echo 'auth    [success=ignore ignore=ignore default=1 module_unknown=die]   pam_succeed_if.so uid > 0'
echo "# print the \"You don\'t have tickets\" error:"
echo 'auth    [success=die ignore=reset default=die module_unknown=die]     pam_echo.so file=/etc/issue.net.no_tkt'
echo "# If !(they are root),"
echo 'auth    [success=1 ignore=ignore default=ignore module_unknown=die]   pam_succeed_if.so uid eq 0'
echo "# print the \"your account doesn't exist\" error:"
echo 'auth    [success=die ignore=reset default=die module_unknown=die]     pam_echo.so file=/etc/issue.net.no_user'
echo
exec cat
